{{- if .Values.chrome.enabled -}}
apiVersion: apps/v1
kind: Deployment
metadata:
  name: {{ include "selenium.fullname" . }}-chrome
  namespace: {{ .Values.namespace }}
  labels:
    {{- include "selenium-chrome.labels" . | nindent 4 }}
spec:
  {{- if not .Values.autoscaling.enabled }}
  replicas: {{ .Values.chrome.replicaCount }}
  {{- end }}
  selector:
    matchLabels:
      {{- include "selenium-chrome.selectorLabels" . | nindent 6 }}
  template:
    metadata:
      {{- with .Values.podAnnotations }}
      annotations:
        {{- toYaml . | nindent 8 }}
      {{- end }}
      labels:
        {{- include "selenium-chrome.selectorLabels" . | nindent 8 }}
    spec:
      volumes:
      - name: dshm
        emptyDir:
          medium: Memory
      {{- with .Values.imagePullSecrets }}
      imagePullSecrets:
        {{- toYaml . | nindent 8 }}
      {{- end }}
      serviceAccountName: {{ include "selenium.serviceAccountName" . }}
      securityContext:
        {{- toYaml .Values.podSecurityContext | nindent 8 }}
      containers:
        - name: {{ .Chart.Name }}-chrome
          securityContext:
            {{- toYaml .Values.securityContext | nindent 12 }}
          image: "{{ .Values.imageChrome.repository }}:{{ .Values.image.tag | default .Chart.AppVersion }}"
          imagePullPolicy: {{ .Values.image.pullPolicy }}
          ports:
            - containerPort: 5555
          volumeMounts:
            - mountPath: /dev/shm
              name: dshm
          env:
            - name: HUB_HOST
              value: {{ include "selenium.fullname" . }}
            - name: HUB_PORT
              value: {{ .Values.service.port | quote }}
          resources:
            {{- toYaml .Values.resourcesChrome | nindent 12 }}
      {{- with .Values.nodeSelector }}
      nodeSelector:
        {{- toYaml . | nindent 8 }}
      {{- end }}
      {{- with .Values.affinity }}
      affinity:
        {{- toYaml . | nindent 8 }}
      {{- end }}
      {{- with .Values.tolerations }}
      tolerations:
        {{- toYaml . | nindent 8 }}
      {{- end }}
{{- end }}
